<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getWeakenTime](./bitburner.ns.getweakentime.md)

## NS.getWeakenTime() method

Get the execution time of a weaken() call.

**Signature:**

```typescript
getWeakenTime(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of target server. |

**Returns:**

number

Returns the amount of time in milliseconds it takes to execute the [weaken](./bitburner.ns.weaken.md) Netscript function.

## Remarks

RAM cost: 0.05 GB

Returns the amount of time in milliseconds it takes to execute the [weaken](./bitburner.ns.weaken.md) Netscript function on the target server. The required time is increased by the security level of the target server and decreased by the player's hacking level.

